Subject: RE: Chasis Prefix NZE 164G
From: <[email-masked]>
To: <[email-masked]>
Date: Thu, 25 Apr 2019 10:15:01 +0300

Hi Cyprus,

Thank your for your email. Can I have your contact number so that I can add you on WhatsApp?

By the way, I will be handling your account from now on and moving forward.

Best Regards,
Akira Sato
IBC Japan Limited
64 Miyanomae-cho Nakajima Fushimi-ku Kyoto 612-8457, Japan
Fax: +81 756225098
E-mail: [email-masked]
Internet: www.ibcjapan.co.jp <https://owa.ibcjapan.co.jp/owa/redir.aspx?C=Dj5pNQV5wEOkS6iquGqEc47c7164wtYIOv5rpI9YFfo4ki8dAIhWk8y2PAHJHXCMVM6fM4rJbhM.&URL=http%3a%2f%2fwww.ibcjapan.co.jp%2f> 

Help us serve you better. Please click here <http://survey.ibcjapan.net/ratingsNew/default.aspx?mailid=43668&catid=1>  for your feedback.

  _____  

From: Mr. Cyprus Olumbe
To: [email-masked]
Sent: Thu, 04/25/2019 03:07 PM
Subject: Chasis Prefix NZE 164G

Dear IBC

I am interested in the above unit. Have bid for it on idirect Auction No. 30826074 but I cannot see it in my shop list ID 820435

I need to talk to someone to guide me in all this. 

With Kind regards

 

Cyprus O. O. Olumbe

Managing Director

Mareba Computers ltd

P. O. Box 923, 00200

Cellphone +254 722517077